[Skiboot] [PATCH 3/7] CI: Add Fedora 35 to github actions

Frederic Barrat fbarrat at linux.ibm.com
Sat Nov 6 04:26:16 AEDT 2021


The only change with Fedora 34 is that since the qemu-system-ppc
package is recent, we can now run the qemu boot test.

Signed-off-by: Frederic Barrat <fbarrat at linux.ibm.com>
---
 .github/workflows/docker-builds-checks.yml |  3 ++-
 opal-ci/Dockerfile-fedora35                |  9 +++++++++
 opal-ci/build-fedora35.sh                  | 22 ++++++++++++++++++++++
 3 files changed, 33 insertions(+), 1 deletion(-)
 create mode 100644 opal-ci/Dockerfile-fedora35
 create mode 100755 opal-ci/build-fedora35.sh

diff --git a/.github/workflows/docker-builds-checks.yml b/.github/workflows/docker-builds-checks.yml
index c2f85869..c0201540 100644
--- a/.github/workflows/docker-builds-checks.yml
+++ b/.github/workflows/docker-builds-checks.yml
@@ -7,7 +7,8 @@ jobs:
 
     strategy:
       matrix:
-        os: [ubuntu-18.04, ubuntu-20.04, ubuntu-latest, centos7, centos8, fedora33, fedora34, docs ]
+        os: [ ubuntu-18.04, ubuntu-20.04, ubuntu-rolling, centos7, centos8, fedora33, fedora34, fedora35, docs ]
+
     steps:
       - uses: actions/checkout at v2
       - name: Create Docker image
diff --git a/opal-ci/Dockerfile-fedora35 b/opal-ci/Dockerfile-fedora35
new file mode 100644
index 00000000..5373bac3
--- /dev/null
+++ b/opal-ci/Dockerfile-fedora35
@@ -0,0 +1,9 @@
+FROM fedora:35
+RUN dnf -y update
+RUN dnf -y install --allowerasing wget curl xterm gcc git xz make diffutils findutils expect valgrind valgrind-devel ccache dtc openssl openssl-devel gcc-powerpc64-linux-gnu mbedtls-devel which qemu-system-ppc
+# for building documentation and the coverage report
+RUN dnf -y install python-pip lcov
+RUN if [ `arch` = "x86_64" ]; then dnf -y install http://public.dhe.ibm.com/software/server/powerfuncsim/p9/packages/v1.1-0/systemsim-p9-1.1-0.f22.x86_64.rpm; fi
+COPY . /build/
+WORKDIR /build
+RUN curl -L -O https://github.com/open-power/op-build/releases/download/v2.7/zImage.epapr
diff --git a/opal-ci/build-fedora35.sh b/opal-ci/build-fedora35.sh
new file mode 100755
index 00000000..7c607a1f
--- /dev/null
+++ b/opal-ci/build-fedora35.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -uo pipefail
+set -e
+set -vx
+
+MAKE_J=$(nproc)
+export CROSS="ccache powerpc64-linux-gnu-"
+
+make -j${MAKE_J} all
+make -j${MAKE_J} check
+(make clean; cd external/gard && CROSS= make -j${MAKE_J})
+(cd external/pflash; make -j${MAKE_J})
+make clean
+SKIBOOT_GCOV=1 make -j${MAKE_J}
+SKIBOOT_GCOV=1 make -j${MAKE_J} check
+
+make clean
+rm -rf builddir
+mkdir builddir
+make SRC=$(pwd) -f ../Makefile -C builddir -j${MAKE_J}
+make clean
-- 
2.31.1



More information about the Skiboot mailing list